summaryrefslogtreecommitdiff
path: root/tests/ln/misc
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ln/misc')
-rwxr-xr-xtests/ln/misc9
1 files changed, 7 insertions, 2 deletions
diff --git a/tests/ln/misc b/tests/ln/misc
index bf9412aab..45cedbcd7 100755
--- a/tests/ln/misc
+++ b/tests/ln/misc
@@ -1,11 +1,10 @@
#!/bin/sh
-PATH=../../../src:$PATH
tmp=t2-ln.$$
if test "$VERBOSE" = yes; then
set -x
- $LN --version
+ ln --version
fi
test_failure=0
@@ -88,6 +87,12 @@ ln --no-dereference -fs $af $ld || fail=1
test -f $ld || fail=1
rm -rf $d $f $ld
+# Try to create a symlink with backup where the destination file exists
+# and the backup file name is a hard link to the destination file.
+touch a b || test_failure=1
+ln b b~ || test_failure=1
+ln -V simple -f -b a b || fail=1
+
cd ..
../../src/rm -rf $tmp